<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="d417c7e2-9370-4a4d-828f-09be06adcd69" name="Default" comment="dns">
      <change afterPath="$PROJECT_DIR$/Library/Curl.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/App/Script/Controller/Server.php" beforeDir="false" afterPath="$PROJECT_DIR$/App/Script/Controller/Server.php" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" executionDataType="PHAR" phpInterpreterId="ebee0f6a-c9b1-47e6-bfc2-753d1b653391" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
    <pharPath>$PROJECT_DIR$/composer.phar</pharPath>
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-366781182">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.open.time.12" value="1" />
          <entry key="project.opened" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="json" value="4" />
          <entry key="php" value="28" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JSON" value="4" />
          <entry key="PHP" value="28" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="json" value="44" />
          <entry key="php" value="1596" />
          <entry key="txt" value="6" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JSON" value="44" />
          <entry key="PHP" value="1596" />
          <entry key="PLAIN_TEXT" value="6" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.php.new.class">
        <counts>
          <entry key="PHP Class.type" value="2" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileColors">
    <fileColor scope="Non-Project Files (Material Default)" color="2E3C43" />
    <fileColor scope="Non-Project Files (Material Darker)" color="323232" />
    <fileColor scope="Non-Project Files (Material Lighter)" color="eae8e8" />
    <fileColor scope="Non-Project Files (Material Palenight)" color="2f2e43" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/App/Script/Controller/Server.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="477">
              <caret line="84" column="48" lean-forward="true" selection-start-line="84" selection-start-column="48" selection-end-line="84" selection-end-column="48" />
              <folding>
                <element signature="e#136#155#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Library/Curl.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-1566">
              <caret line="14" column="35" selection-start-line="14" selection-start-column="35" selection-end-line="14" selection-end-column="35" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Dns.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="83">
              <caret line="102" column="20" selection-start-line="102" selection-start-column="20" selection-end-line="102" selection-end-column="20" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/App/Api/Controller/Ping.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="209">
              <caret line="11" column="31" lean-forward="true" selection-start-line="11" selection-start-column="31" selection-end-line="11" selection-end-column="31" />
              <folding>
                <element signature="e#6#91#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Config/PersonalityCollect.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="323">
              <caret line="17" column="1" selection-start-line="17" selection-start-column="1" selection-end-line="17" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/App/Api/Controller/Aip.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="314">
              <caret line="35" column="54" selection-start-line="35" selection-start-column="22" selection-end-line="35" selection-end-column="54" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/App/Api/Controller/Search.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="171">
              <caret line="17" column="49" selection-start-line="17" selection-start-column="46" selection-end-line="17" selection-end-column="49" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/composer.json">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="152">
              <caret line="9" selection-start-line="9" selection-end-line="9" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/App/Api/Controller/Test.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="304">
              <caret line="18" column="1" selection-start-line="18" selection-start-column="1" selection-end-line="18" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/App/Api/Package/Database/Server.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="323">
              <caret line="17" selection-start-line="17" selection-end-line="17" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTTP Request" />
        <option value="tsconfig.json" />
        <option value="Test" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>MeiTu</find>
      <find>Phplife</find>
      <find>true	string</find>
      <find>appId</find>
      <find>driver</find>
      <find>pgsql</find>
      <find>LIMIT</find>
      <find>exceptionHandler</find>
    </findStrings>
    <replaceStrings>
      <replace>PhpLife</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="UPDATE_TYPE" value="MERGE" />
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/Config/Postgres/Core.php" />
        <option value="$PROJECT_DIR$/Frame/Package/Database/Medoo.php" />
        <option value="$PROJECT_DIR$/Frame/Package/Database/Postgres.php" />
        <option value="$PROJECT_DIR$/Library/Medoo.php" />
        <option value="$PROJECT_DIR$/Library/Medoo/Medoo.php" />
        <option value="$PROJECT_DIR$/env/product/postgres/core.json" />
        <option value="$PROJECT_DIR$/Library/Postgres.php" />
        <option value="$PROJECT_DIR$/Config/Sentry.php" />
        <option value="$PROJECT_DIR$/public/api/index.php" />
        <option value="$PROJECT_DIR$/Library/Sentry.php" />
        <option value="$PROJECT_DIR$/Library/sphinxapi.php" />
        <option value="$PROJECT_DIR$/env/product/sphinx/core.json" />
        <option value="$PROJECT_DIR$/Frame/Init.php" />
        <option value="$PROJECT_DIR$/Library/Telegram.php" />
        <option value="$PROJECT_DIR$/Frame/Logger.php" />
        <option value="$PROJECT_DIR$/env/product/mysql/makeup.json" />
        <option value="$PROJECT_DIR$/Config/MySQL/Makeup.php" />
        <option value="$PROJECT_DIR$/App/Api/Package/Database/Material.php" />
        <option value="$PROJECT_DIR$/index.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Telegram.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Color.php" />
        <option value="$PROJECT_DIR$/test.http" />
        <option value="$PROJECT_DIR$/swagger.yml" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Hash.php" />
        <option value="$PROJECT_DIR$/tsconfig.json" />
        <option value="$PROJECT_DIR$/apidoc.json" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Aip.php" />
        <option value="$PROJECT_DIR$/composer.json" />
        <option value="$PROJECT_DIR$/App/Test/AipTest.php" />
        <option value="$PROJECT_DIR$/App/Test/Test.php" />
        <option value="$PROJECT_DIR$/public/script/index.php" />
        <option value="$PROJECT_DIR$/App/Script/Controller.php" />
        <option value="$PROJECT_DIR$/App/Script/Package/Database/File.php" />
        <option value="$PROJECT_DIR$/App/Script/Package/Database/Code.php" />
        <option value="$PROJECT_DIR$/Config/MySQL/Core.php" />
        <option value="$PROJECT_DIR$/Config/MySQL/Shadowsocks.php" />
        <option value="$PROJECT_DIR$/env/product/mysql/shadowsocks.json" />
        <option value="$PROJECT_DIR$/Frame/Package/Database/Single.php" />
        <option value="$PROJECT_DIR$/public/api/test.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Test.php" />
        <option value="$PROJECT_DIR$/Config/PersonalityCollect.php" />
        <option value="$PROJECT_DIR$/Library/FileIterator.php" />
        <option value="$PROJECT_DIR$/App/Script/Controller/Collect.php" />
        <option value="$PROJECT_DIR$/App/Script/Controller/Test.php" />
        <option value="$PROJECT_DIR$/ping.php" />
        <option value="$PROJECT_DIR$/env/product/mysql/core.json" />
        <option value="$PROJECT_DIR$/App/Api/Package/Database/File.php" />
        <option value="$PROJECT_DIR$/App/Api/Package/Database/Server.php" />
        <option value="$PROJECT_DIR$/App/Api/Controller/Ping.php" />
        <option value="$PROJECT_DIR$/Library/Curl.php" />
        <option value="$PROJECT_DIR$/App/Script/Controller/Server.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="PhpServers">
    <servers>
      <server host="makeup-api.x.97admin.com" id="62747657-d000-4d90-bcca-47dce85ec9d4" name="makeup-api.x.97admin.com" use_path_mappings="true">
        <path_mappings>
          <mapping local-root="$PROJECT_DIR$" remote-root="/www/sphinx" />
          <mapping local-root="$PROJECT_DIR$/.idea" remote-root="/www/sphinx/.idea" />
          <mapping local-root="$PROJECT_DIR$/App" remote-root="/www/sphinx/App" />
          <mapping local-root="$PROJECT_DIR$/Config" remote-root="/www/sphinx/Config" />
          <mapping local-root="$PROJECT_DIR$/Frame" remote-root="/www/sphinx/Frame" />
          <mapping local-root="$PROJECT_DIR$/Library" remote-root="/www/sphinx/Library" />
          <mapping local-root="$PROJECT_DIR$/env" remote-root="/www/sphinx/env" />
          <mapping local-root="$PROJECT_DIR$/public" remote-root="/www/sphinx/public" />
          <mapping local-root="$PROJECT_DIR$/public/api" remote-root="/www/sphinx/public/api" />
        </path_mappings>
      </server>
      <server host="sphinx.x.97admin.com" id="e19e8944-7c7f-4770-a17f-35b900678144" name="sphinx" use_path_mappings="true">
        <path_mappings>
          <mapping local-root="$PROJECT_DIR$" remote-root="/www/sphinx" />
        </path_mappings>
      </server>
      <server host="makeup.x.97admin.com" id="d144d3c2-f5a3-46bd-8c4d-3def5507f1a4" name="makeup.x.97admin.com" use_path_mappings="true">
        <path_mappings>
          <mapping local-root="$PROJECT_DIR$/public/api" remote-root="/www/manage.makeup.meitu.com/public/admin" />
        </path_mappings>
      </server>
    </servers>
  </component>
  <component name="PhpWorkspaceProjectConfiguration" interpreter_name="PHP">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/eleirbag89/telegrambotphp" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/vendor/doctrine/annotations" />
      <path value="$PROJECT_DIR$/vendor/zircote/swagger-php" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/phpspec/prophecy" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-token-stream" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit-mock-objects" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common" />
      <path value="$PROJECT_DIR$/vendor/phpmailer/phpmailer" />
      <path value="$PROJECT_DIR$/vendor/jamesryanbell/cloudflare" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="22" />
    <option name="y" value="35" />
    <option name="width" value="1440" />
    <option name="height" value="825" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="sphinx" type="b2602c69:ProjectViewProjectNode" />
              <item name="sphinx" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="sphinx" type="b2602c69:ProjectViewProjectNode" />
              <item name="sphinx" type="462c0819:PsiDirectoryNode" />
              <item name="Library" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="com.jetbrains.php.phpunit.codeGeneration.PhpNewTestDialog.defaultLibrary" value="PHPUnit" />
    <property name="ignore_missing_gitignore" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="php.test.frameworks.configurable" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/Library" />
      <recent name="$PROJECT_DIR$/App/Api/Package/Database" />
      <recent name="$PROJECT_DIR$/Config" />
      <recent name="$PROJECT_DIR$/App/Script/Controller" />
      <recent name="$PROJECT_DIR$/App/Script" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/Library" />
      <recent name="$PROJECT_DIR$/App" />
      <recent name="$PROJECT_DIR$" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="PHPUnit.Test">
    <configuration name="index.html (1)" type="JavascriptDebugType" factoryName="JavaScript Debug" temporary="true" nameIsGenerated="true" uri="/private/var/folders/m_/sjvtw3l96hb8jxch9jd429dr0000gn/T/swagger-ui/index.html">
      <method v="2" />
    </configuration>
    <configuration name="index.html" type="JavascriptDebugType" factoryName="JavaScript Debug" nameIsGenerated="true" uri="file:///private/var/folders/m_/sjvtw3l96hb8jxch9jd429dr0000gn/T/swagger-ui/index.html">
      <method v="2" />
    </configuration>
    <configuration name="Test" type="PHPUnitRunConfigurationType" factoryName="PHPUnit" temporary="true">
      <TestRunner class="PhpLife\Test\Test" file="$PROJECT_DIR$/App/Test/Test.php" scope="Class" />
      <method v="2" />
    </configuration>
    <configuration name="Test.testCalculate" type="PHPUnitRunConfigurationType" factoryName="PHPUnit" temporary="true">
      <TestRunner class="PhpLife\Test\Test" file="$PROJECT_DIR$/App/Test/Test.php" method="testCalculate" scope="Method" />
      <method v="2" />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <envs />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="JavaScript Debug.index.html" />
      <item itemvalue="JavaScript Debug.index.html (1)" />
      <item itemvalue="PHPUnit.Test.testCalculate" />
      <item itemvalue="PHPUnit.Test" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="PHPUnit.Test" />
        <item itemvalue="PHPUnit.Test.testCalculate" />
        <item itemvalue="JavaScript Debug.index.html (1)" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration>$USER_HOME$/.subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="d417c7e2-9370-4a4d-828f-09be06adcd69" name="Default" comment="" />
      <created>1512530312019</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1512530312019</updated>
      <workItem from="1512530314537" duration="4944000" />
      <workItem from="1512540437756" duration="3594000" />
      <workItem from="1512544775809" duration="826000" />
      <workItem from="1512566703846" duration="485000" />
      <workItem from="1512786901400" duration="504000" />
      <workItem from="1512804672418" duration="37000" />
      <workItem from="1512957732458" duration="262000" />
      <workItem from="1512959928483" duration="1327000" />
      <workItem from="1513317888819" duration="6587000" />
      <workItem from="1513562284363" duration="414000" />
      <workItem from="1513647923326" duration="5800000" />
      <workItem from="1513905667672" duration="324000" />
      <workItem from="1514166129001" duration="590000" />
      <workItem from="1514348799576" duration="13708000" />
      <workItem from="1514859001773" duration="534000" />
      <workItem from="1514860407759" duration="125000" />
      <workItem from="1514860576985" duration="113000" />
      <workItem from="1514863482779" duration="7432000" />
      <workItem from="1515211114646" duration="393000" />
      <workItem from="1515377534028" duration="573000" />
      <workItem from="1515568112566" duration="504000" />
      <workItem from="1516783627065" duration="2185000" />
      <workItem from="1517576167364" duration="69000" />
      <workItem from="1517796090167" duration="841000" />
      <workItem from="1517971592963" duration="1932000" />
      <workItem from="1518312993749" duration="367000" />
      <workItem from="1518314640825" duration="485000" />
      <workItem from="1519284203957" duration="4541000" />
      <workItem from="1521008410292" duration="19205000" />
      <workItem from="1521690234491" duration="247000" />
      <workItem from="1522049844603" duration="5429000" />
      <workItem from="1522221555897" duration="6842000" />
      <workItem from="1522395149900" duration="2868000" />
      <workItem from="1522638239044" duration="604000" />
      <workItem from="1522639056291" duration="3274000" />
      <workItem from="1523959642551" duration="14739000" />
      <workItem from="1524462062250" duration="6601000" />
      <workItem from="1526267929688" duration="389000" />
      <workItem from="1526268446293" duration="12711000" />
      <workItem from="1528527970342" duration="845000" />
      <workItem from="1529074202261" duration="35000" />
      <workItem from="1535705721105" duration="10614000" />
    </task>
    <task id="LOCAL-00001" summary="telegram">
      <created>1519284784104</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1519284784104</updated>
    </task>
    <task id="LOCAL-00002" summary="telegram">
      <created>1519285642740</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1519285642740</updated>
    </task>
    <task id="LOCAL-00003" summary="telegram">
      <created>1519285681286</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1519285681286</updated>
    </task>
    <task id="LOCAL-00004" summary="telegram">
      <created>1519285721993</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1519285721993</updated>
    </task>
    <task id="LOCAL-00005" summary="telegram">
      <created>1519285751330</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1519285751330</updated>
    </task>
    <task id="LOCAL-00006" summary="telegram">
      <created>1519286440594</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1519286440594</updated>
    </task>
    <task id="LOCAL-00007" summary="telegram">
      <created>1519286651355</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1519286651355</updated>
    </task>
    <task id="LOCAL-00008" summary="telegram">
      <created>1519287136147</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1519287136147</updated>
    </task>
    <task id="LOCAL-00009" summary="telegram">
      <created>1519287245630</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1519287245630</updated>
    </task>
    <task id="LOCAL-00010" summary="telegram">
      <created>1519288020364</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1519288020364</updated>
    </task>
    <task id="LOCAL-00011" summary="telegram">
      <created>1521617417239</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1521617417243</updated>
    </task>
    <task id="LOCAL-00012" summary="telegram">
      <created>1535722926158</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1535722926158</updated>
    </task>
    <task id="LOCAL-00013" summary="telegram">
      <created>1535723449198</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1535723449198</updated>
    </task>
    <task id="LOCAL-00014" summary="telegram">
      <created>1535723588527</created>
      <option name="number" value="00014" />
      <option name="presentableId" value="LOCAL-00014" />
      <option name="project" value="LOCAL" />
      <updated>1535723588527</updated>
    </task>
    <task id="LOCAL-00015" summary="telegram">
      <created>1535723650870</created>
      <option name="number" value="00015" />
      <option name="presentableId" value="LOCAL-00015" />
      <option name="project" value="LOCAL" />
      <updated>1535723650870</updated>
    </task>
    <task id="LOCAL-00016" summary="telegram">
      <created>1535724786818</created>
      <option name="number" value="00016" />
      <option name="presentableId" value="LOCAL-00016" />
      <option name="project" value="LOCAL" />
      <updated>1535724786819</updated>
    </task>
    <task id="LOCAL-00017" summary="telegram">
      <created>1535724903832</created>
      <option name="number" value="00017" />
      <option name="presentableId" value="LOCAL-00017" />
      <option name="project" value="LOCAL" />
      <updated>1535724903832</updated>
    </task>
    <task id="LOCAL-00018" summary="telegram">
      <created>1535725034676</created>
      <option name="number" value="00018" />
      <option name="presentableId" value="LOCAL-00018" />
      <option name="project" value="LOCAL" />
      <updated>1535725034676</updated>
    </task>
    <task id="LOCAL-00019" summary="dns">
      <created>1535729212047</created>
      <option name="number" value="00019" />
      <option name="presentableId" value="LOCAL-00019" />
      <option name="project" value="LOCAL" />
      <updated>1535729212047</updated>
    </task>
    <task id="LOCAL-00020" summary="dns">
      <created>1535729557826</created>
      <option name="number" value="00020" />
      <option name="presentableId" value="LOCAL-00020" />
      <option name="project" value="LOCAL" />
      <updated>1535729557826</updated>
    </task>
    <task id="LOCAL-00021" summary="dns">
      <created>1535729990196</created>
      <option name="number" value="00021" />
      <option name="presentableId" value="LOCAL-00021" />
      <option name="project" value="LOCAL" />
      <updated>1535729990196</updated>
    </task>
    <task id="LOCAL-00022" summary="dns">
      <created>1535730178766</created>
      <option name="number" value="00022" />
      <option name="presentableId" value="LOCAL-00022" />
      <option name="project" value="LOCAL" />
      <updated>1535730178766</updated>
    </task>
    <option name="localTasksCounter" value="23" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="Test - 2018.03.30 at 16h 29m 49s.xml">
      <configuration name="Test" configurationId="PHPUnitRunConfigurationType" />
    </history-entry>
    <history-entry file="Test - 2018.03.30 at 16h 30m 17s.xml">
      <configuration name="Test" configurationId="PHPUnitRunConfigurationType" />
    </history-entry>
    <history-entry file="Test - 2018.03.30 at 16h 30m 48s.xml">
      <configuration name="Test" configurationId="PHPUnitRunConfigurationType" />
    </history-entry>
    <history-entry file="Test - 2018.03.30 at 16h 30m 53s.xml">
      <configuration name="Test" configurationId="PHPUnitRunConfigurationType" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="162775000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="22" y="35" width="1440" height="825" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" weight="0.25035766" />
      <window_info id="Structure" order="1" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Database Changes" order="0" show_stripe_button="false" />
      <window_info anchor="bottom" id="Message" order="1" />
      <window_info anchor="bottom" id="Find" order="2" weight="0.3292683" />
      <window_info anchor="bottom" id="Run" order="3" weight="0.35873982" />
      <window_info anchor="bottom" id="Debug" order="4" weight="0.399361" />
      <window_info anchor="bottom" id="Cvs" order="5" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="6" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="7" sideWeight="0.49574015" weight="0.3292683" />
      <window_info anchor="bottom" id="Docker" order="8" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Terminal" order="10" weight="0.32957748" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.5042598" side_tool="true" weight="0.3292683" />
      <window_info anchor="bottom" id="Messages" order="12" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="1024 Tools" order="3" />
      <window_info anchor="right" id="LuaJ" order="4" />
      <window_info anchor="right" id="Database" order="5" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.25035766" />
      <window_info id="Structure" order="1" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Database Changes" order="0" show_stripe_button="false" />
      <window_info anchor="bottom" id="Message" order="1" />
      <window_info anchor="bottom" id="Find" order="2" weight="0.3292683" />
      <window_info anchor="bottom" id="Run" order="3" weight="0.35873982" />
      <window_info anchor="bottom" id="Debug" order="4" weight="0.399361" />
      <window_info anchor="bottom" id="Cvs" order="5" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="6" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="7" sideWeight="0.49574015" weight="0.3292683" />
      <window_info anchor="bottom" id="Docker" order="8" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Terminal" order="10" visible="true" weight="0.32957748" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.5042598" side_tool="true" weight="0.3292683" />
      <window_info anchor="bottom" id="Messages" order="12" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="1024 Tools" order="3" />
      <window_info anchor="right" id="LuaJ" order="4" />
      <window_info anchor="right" id="Database" order="5" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="telegram" />
    <MESSAGE value="dns" />
    <option name="LAST_COMMIT_MESSAGE" value="dns" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="php">
          <url>file://$PROJECT_DIR$/../manage.makeup.meitu.com/public/api/index.php</url>
          <line>4</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="php">
          <url>file://$PROJECT_DIR$/Frame/Logger.php</url>
          <line>132</line>
          <option name="timeStamp" value="18" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="php">
          <url>file://$PROJECT_DIR$/App/Test/Test.php</url>
          <line>11</line>
          <option name="timeStamp" value="27" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="php">
          <url>file://$PROJECT_DIR$/Library/FileIterator.php</url>
          <line>18</line>
          <option name="timeStamp" value="29" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/Core/Core.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="290">
          <caret line="349" column="9" selection-start-line="349" selection-start-column="9" selection-end-line="349" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/michelf/php-markdown/Michelf/Markdown.php" />
    <entry file="file://$PROJECT_DIR$/vendor/eleirbag89/telegrambotphp/Telegram.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="55518">
          <caret line="2922" column="14" selection-start-line="2922" selection-start-column="13" selection-end-line="2922" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test.http" />
    <entry file="file://$PROJECT_DIR$/swagger.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="418">
          <caret line="22" selection-start-line="22" selection-end-line="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/apidoc.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="114">
          <caret line="6" column="33" selection-start-line="6" selection-start-column="33" selection-end-line="6" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="23" column="19" selection-start-line="23" selection-start-column="19" selection-end-line="23" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Test/AipTest.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="15" column="26" selection-start-line="15" selection-start-column="26" selection-end-line="15" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Test/Test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="852">
          <caret line="45" column="9" selection-start-line="45" selection-start-column="9" selection-end-line="45" selection-end-column="9" />
          <folding>
            <element signature="e#30#64#0#PHP" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/api/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="114">
          <caret line="6" selection-start-line="6" selection-end-line="6" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Script/Package/Database/File.php" />
    <entry file="file://$PROJECT_DIR$/public/script/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="114">
          <caret line="6" column="1" selection-start-line="6" selection-start-column="1" selection-end-line="6" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Script/Controller.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="342">
          <caret line="19" selection-start-line="19" selection-end-line="19" />
          <folding>
            <element signature="e#39#64#0#PHP" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/phpmailer/phpmailer/src/PHPMailer.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5054">
          <caret line="283" column="50" selection-start-line="283" selection-start-column="50" selection-end-line="283" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/api/test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1596">
          <caret line="84" selection-start-line="84" selection-end-line="84" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Script/Package/Database/Code.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="17" column="1" selection-start-line="17" selection-start-column="1" selection-end-line="17" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Frame/Package/Database/Single.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="877">
          <caret line="67" column="23" selection-start-line="67" selection-start-column="23" selection-end-line="67" selection-end-column="23" />
          <folding>
            <marker date="1524030200376" expanded="true" signature="9225:9277" ph="INSERT INTO `${$tableName}`... " />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Autoload.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="38">
          <caret line="2" selection-start-line="2" selection-end-line="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Library/FileIterator.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="380">
          <caret line="24" selection-start-line="24" selection-end-line="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Library/AipOcr.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="304">
          <caret line="31" column="4" selection-start-line="31" selection-start-column="4" selection-end-line="31" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Library/Ucm.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6194">
          <caret line="331" column="5" selection-start-line="331" selection-start-column="5" selection-end-line="331" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/sockets/sockets.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="558">
          <caret line="41" column="46" selection-start-line="41" selection-start-column="46" selection-end-line="41" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Telegram.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="32" column="1" selection-start-line="32" selection-start-column="1" selection-end-line="32" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Color.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4566">
          <caret line="260" selection-start-line="260" selection-end-line="260" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Hash.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="16" column="8" selection-start-line="16" selection-start-column="8" selection-end-line="16" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/env/product/mysql/makeup.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="418">
          <caret line="22" lean-forward="true" selection-start-line="22" selection-end-line="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/env/product/mysql/shadowsocks.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="228">
          <caret line="12" column="15" selection-start-line="12" selection-start-column="15" selection-end-line="12" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Config/MySQL/Makeup.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="266">
          <caret line="14" column="1" selection-start-line="14" selection-start-column="1" selection-end-line="14" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Config/MySQL/Shadowsocks.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="266">
          <caret line="14" column="1" selection-start-line="14" selection-start-column="1" selection-end-line="14" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Config/Sentry.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="38">
          <caret line="2" selection-start-line="2" selection-end-line="2" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Config/Sphinx/Core.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="475">
          <caret line="25" column="34" selection-start-line="25" selection-start-column="34" selection-end-line="25" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Config/Postgres/Core.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/Config/MySQL/Core.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="209">
          <caret line="11" column="44" selection-start-line="11" selection-start-column="40" selection-end-line="11" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/env/product/mysql/core.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="17" column="27" lean-forward="true" selection-start-line="17" selection-start-column="27" selection-end-line="17" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Package/Database/Material.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="209">
          <caret line="11" column="48" selection-start-line="11" selection-start-column="48" selection-end-line="11" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Package/Database/Hash.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="38">
          <caret line="2" column="25" selection-start-line="2" selection-start-column="25" selection-end-line="2" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Package/Database/File.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="171">
          <caret line="9" column="8" selection-start-line="9" selection-start-column="8" selection-end-line="9" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Package/Database/Server.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="17" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="304">
          <caret line="18" column="1" selection-start-line="18" selection-start-column="1" selection-end-line="18" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Script/Controller/Test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="334">
          <caret line="223" column="26" selection-start-line="223" selection-start-column="26" selection-end-line="223" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Script/Controller/Collect.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="149">
          <caret line="24" column="25" selection-start-line="24" selection-start-column="25" selection-end-line="24" selection-end-column="25" />
          <folding>
            <element signature="e#49#87#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ping.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="10" column="4" selection-start-line="10" selection-start-column="4" selection-end-line="18" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Aip.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="314">
          <caret line="35" column="54" selection-start-line="35" selection-start-column="22" selection-end-line="35" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Sip.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Search.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="171">
          <caret line="17" column="49" selection-start-line="17" selection-start-column="46" selection-end-line="17" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/composer.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="152">
          <caret line="9" selection-start-line="9" selection-end-line="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Config/PersonalityCollect.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="17" column="1" selection-start-line="17" selection-start-column="1" selection-end-line="17" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Dns.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="83">
          <caret line="102" column="20" selection-start-line="102" selection-start-column="20" selection-end-line="102" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Api/Controller/Ping.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="209">
          <caret line="11" column="31" lean-forward="true" selection-start-line="11" selection-start-column="31" selection-end-line="11" selection-end-column="31" />
          <folding>
            <element signature="e#6#91#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Library/Curl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1566">
          <caret line="14" column="35" selection-start-line="14" selection-start-column="35" selection-end-line="14" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/App/Script/Controller/Server.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="477">
          <caret line="84" column="48" lean-forward="true" selection-start-line="84" selection-start-column="48" selection-end-line="84" selection-end-column="48" />
          <folding>
            <element signature="e#136#155#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="Copyright.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>